org.omg.IOP

## Interface CodecFactoryOperations

All Known Subinterfaces:
  CodecFactory

    public interface CodecFactoryOperations

`Codecs` are obtained from the `CodecFactory`. The `CodecFactory` is obtained through a call to `ORB.resolve_initial_references( "CodecFactory" )`.

### Method Summary

All Methods Instance Methods Abstract Methods
`Codec` `create_codec(Encoding enc)` Create a `Codec` of the given encoding.

### Method Detail

#### create_codec

    Codec create_codec(Encoding enc)
                throws UnknownEncoding

Create a `Codec` of the given encoding.

Parameters:
  `enc` - The encoding for which to create a `Codec`.
Returns:
  A `Codec` obtained with the given encoding.
Throws:
  `UnknownEncoding` - thrown if this factory cannot create a `Codec` of the given encoding.